<?php
define('IN_FORUM',   true);
define('BB_SCRIPT', 'viewcheater');
define('BB_ROOT', './');
require(BB_ROOT ."common.php");

$page_cfg['use_tablesorter']   = true;
$user->session_start(array('req_login' => true));

$start = isset($_GET['start']) ? abs(intval($_GET['start'])) : 0;
$per_page = '20';
$sql =  "SELECT COUNT(id) as cheat_count
	FROM " . BB_BT_CHEATER;
if ( !($result = DB()->sql_query($sql)) )
{
	bb_die('Could not obtain cheat information');
}
$row = DB()->sql_fetchrow($result);
$cheat_count = ( $row['cheat_count'] ) ? $row['cheat_count'] : 0;
if($cheat_count > 0)
{
	$sql = "SELECT ch.*, t.topic_id, t.topic_title, u.user_email, u.user_rank, u.user_id, u.username, u.user_active, u.user_email, u.user_opt
	FROM ". BB_BT_CHEATER." ch, ". BB_TOPICS ." t, ".BB_USERS." u
	WHERE t.topic_id = ch.torrent_id
	AND u.user_id = ch.user_id
	GROUP BY ch.time DESC
	LIMIT $start, $per_page";
    if ( !($result = DB()->sql_query($sql)) )
    {
		bb_die('Could not obtain cheat information');
    }
    $row = DB()->sql_fetchrowset($result);

    if ($row)
    {
        for ( $i = 0; $i < count($row); $i++ )
        {
			$ajax_user_opt = Zend\Json\Json::encode(array(
				'dis_avatar'       => bf($profiledata['user_opt'], 'user_opt', 'dis_avatar'),
				'dis_sig'          => bf($profiledata['user_opt'], 'user_opt', 'dis_sig'),
				'dis_passkey'      => bf($profiledata['user_opt'], 'user_opt', 'dis_passkey'),
				'dis_pm'           => bf($profiledata['user_opt'], 'user_opt', 'dis_pm'),
				'dis_post'         => bf($profiledata['user_opt'], 'user_opt', 'dis_post'),
				'dis_post_edit'    => bf($profiledata['user_opt'], 'user_opt', 'dis_post_edit'),
				'dis_topic'        => bf($profiledata['user_opt'], 'user_opt', 'dis_topic'),
			));

			$url = '<a href="viewtopic.php?t='.$row[$i]['torrent_id'].'">'.$row[$i]['topic_title'].'</a>';
			$template->assign_block_vars('cheater', array(
				'NUMBER'        => $i,
				'USER_ID'       => $row[$i]['user_id'],
				'AJAX_USER_OPT' => $ajax_user_opt,
				'USER_ACTIVE'   => $row[$i]['user_active'],
				'PROFILE'       => profile_url(array('username' => $row[$i]['username'], 'user_id' => $row[$i]['user_id'], 'user_rank' => $row[$i]['user_rank'])),
				'TIME'          => bb_date($row[$i]['time']),
				'SPEED_UP'      => humn_size($row[$i]['speed_up']).'/s',
				'UP'            => humn_size($row[$i]['total_down']),
				'UPS'           => $row[$i]['total_down'],
				'ACTIVE'        => ($row[$i]['user_active']) ? '[yes]':'[no]',
				'IP'            => '<a href="'. $bb_cfg['whois_info'] . decode_ip($row[$i]['user_ip']).'" class="gen" target="_blank">'.decode_ip($row[$i]['user_ip']).'</a>',
				'IPS'           => $row[$i]['user_ip'],
				'TOPIC'         => $url,
				'ID'            => $row[$i]['id'],
				'ROW_CLASS'     => ( !($i % 2) ) ? 'row1' : 'row2',
				'EMAIL'         => $row[$i]['user_email'],
			));
		}
	}
}
$page_title = 'Читеры';
$url = BB_ROOT .'viewcheater.php?mode=cheat';
$pagination = generate_pagination($url, $cheat_count, $per_page, $start);
$matches = ($cheat_count == 1) ? sprintf($lang['FOUND_SEARCH_MATCH'], $cheat_count) : sprintf($lang['FOUND_SEARCH_MATCHES'], $cheat_count);
$template->assign_vars(array(
	'MATCHES'     => $matches,
	'PAGINATION'  => $pagination,
	'PAGE_NUMBER' => sprintf($lang['PAGE_OF'], ( floor( $start / $per_page ) + 1 ), ceil( $cheat_count / $per_page )),
	'U_PER_PAGE'  => $url,
	'PER_PAGE'    => $per_page,
	'S_FORM_ACTION' => $url,
	'PAGE_TITLE' => $page_title,
	'CHEAT_SPEED' => 'Действующий лимит скорости: <b>' . humn_size($bb_cfg['cheat_speed_lims']*1024) . '/s</b>',
));

print_page('viewcheater.tpl');
